Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161791 - Package builds unconditionally as -march=pentium4
Summary: Package builds unconditionally as -march=pentium4
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gmp
Version: 4.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-27 13:27 UTC by Steve Snyder
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-01 14:37:27 UTC


Attachments (Terms of Use)

Description Steve Snyder 2005-06-27 13:27:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050520 Fedora/1.7.8-1.icc

Description of problem:
The gmp-4.1.4-3 package unconditionally builds with 'CFLAGS="-O2 -g -march=pentium4"'.  This creates the potential for the compiler to generate instruction that are not supported on the current system.  Seen on a fully-updated Pentium3 machine.


Version-Release number of selected component (if applicable):
gmp-4.1.4-3

How reproducible:
Always

Steps to Reproduce:
1.Rebuild binary packages or edit gmp.spec.
2.Notice compiler is building with Pentium4 instruction set.
3.
  

Actual Results:  Rebuilt on P3 machine, saw -march=pentium4 on compiler command line.  Yikes!

Expected Results:  Build should respect RPM_OPT_FLAGS.

Additional info:

Comment 1 Steve Snyder 2006-01-26 16:24:57 UTC
Seven months and this bug is still New?  I would have guessed that the
generation of potentially illegal instructions merited more attention.



Comment 2 Thomas Woerner 2006-01-26 16:46:45 UTC
Please give an example, when it was built as pentium4?

BTW: Here is an excerpt of the spec file:

# Important for %{ix86}:
# This rpm has to be build on a CPU with sse2 support like Pentium 4 !

The sse2 DSOs gets built additionally to the i386 DSOs.


Note You need to log in before you can comment on or make changes to this bug.